Coinbax Core API

Health

System health checks

View as Markdown

Health check

GET/healthPublic

Returns the health status of the API

Responses

200Service is healthy
  • SuccessResponse
    • successenumrequiredtrue

      Always true for successful responses

    • dataobjectrequired

      Response data (structure varies by endpoint)

    • metaMetarequired
      • timestampstring (date-time)required

        Response timestamp

      • requestIdstringrequired

        Unique request identifier for debugging

      • paginationPagination
        • pageintegerrequired

          Current page number (1-indexed)

        • limitintegerrequired

          Items per page

        • totalintegerrequired

          Total number of items

        • totalPagesintegerrequired

          Total number of pages

  • object
    • dataobject
      • statusstring
      • timestampstring (date-time)
      • versionstring
{
  "success": true,
  "data": {
    "status": "healthy",
    "timestamp": "2026-02-24T12:00:00.000Z",
    "version": "1.0.0"
  },
  "meta": {
    "timestamp": "2026-02-24T12:00:00.000Z",
    "requestId": "550e8400-e29b-41d4-a716-446655440000"
  }
}
500Internal server error
  • successenumrequiredfalse

    Always false for error responses

  • dataobject

    Always null for error responses

    object

    Always null for error responses

  • errorErrorrequired
    • codestringrequired

      Machine-readable error code

    • messagestringrequired

      Human-readable error message

    • statusCodeintegerrequired

      HTTP status code

    • detailsobject

      Additional error details (optional)

      object

      Additional error details (optional)

  • metaMetarequired
    • timestampstring (date-time)required

      Response timestamp

    • requestIdstringrequired

      Unique request identifier for debugging

    • paginationPagination
      • pageintegerrequired

        Current page number (1-indexed)

      • limitintegerrequired

        Items per page

      • totalintegerrequired

        Total number of items

      • totalPagesintegerrequired

        Total number of pages

{
  "success": false,
  "data": null,
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "An unexpected error occurred",
    "statusCode": 500
  },
  "meta": {
    "timestamp": "2026-02-24T12:00:00.000Z",
    "requestId": "550e8400-e29b-41d4-a716-446655440000"
  }
}
curl https://core-staging.coinbax.com/api/v1/health
const response = await fetch('https://core-staging.coinbax.com/api/v1/health', {
});
const result = await response.json();

Database health check

GET/health/databaseBearer token

Responses

200Database is healthy

Response follows the unified success / data / meta / error envelope.

503Database is unhealthy

Response follows the unified success / data / meta / error envelope.

curl https://core-staging.coinbax.com/api/v1/health/database \
  -H "Authorization: Bearer $ACCESS_TOKEN"
const response = await fetch('https://core-staging.coinbax.com/api/v1/health/database', {
  headers: {
    'Authorization': `Bearer ${process.env.ACCESS_TOKEN}`,
  },
});
const result = await response.json();

Redis health check

GET/health/redisBearer token

Responses

200Redis is healthy

Response follows the unified success / data / meta / error envelope.

503Redis is unhealthy

Response follows the unified success / data / meta / error envelope.

curl https://core-staging.coinbax.com/api/v1/health/redis \
  -H "Authorization: Bearer $ACCESS_TOKEN"
const response = await fetch('https://core-staging.coinbax.com/api/v1/health/redis', {
  headers: {
    'Authorization': `Bearer ${process.env.ACCESS_TOKEN}`,
  },
});
const result = await response.json();

Storage health check

GET/health/storageBearer token

Responses

200Storage is healthy

Response follows the unified success / data / meta / error envelope.

503Storage is unhealthy

Response follows the unified success / data / meta / error envelope.

curl https://core-staging.coinbax.com/api/v1/health/storage \
  -H "Authorization: Bearer $ACCESS_TOKEN"
const response = await fetch('https://core-staging.coinbax.com/api/v1/health/storage', {
  headers: {
    'Authorization': `Bearer ${process.env.ACCESS_TOKEN}`,
  },
});
const result = await response.json();